Last Comment Bug 838413 - Blacklist Mesa in ESR17 (nothing sensational here --- ESR is the enterprise no-cool-stuff branch)
: Blacklist Mesa in ESR17 (nothing sensational here --- ESR is the enterprise n...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: 17 Branch
: All Linux
: -- normal (vote)
: ---
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 18:03 PST by Benoit Jacob [:bjacob] (mostly away)
Modified: 2014-01-10 10:40 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
19+
verified


Attachments
blacklist mesa in esr17 (1.24 KB, patch)
2013-02-05 18:18 PST, Benoit Jacob [:bjacob] (mostly away)
jgilbert: review+
bajaj.bhavana: approval‑mozilla‑esr17+
Details | Diff | Splinter Review

Description Benoit Jacob [:bjacob] (mostly away) 2013-02-05 18:03:38 PST
In ESR10 Mesa was blacklisted and we've had many occasions to be thankful for that.

We should do the same for ESR17.

Example: bug 827106. I don't want to have to ask for ESR approval for a backport of this ANGLE patch.
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2013-02-05 18:18:56 PST
Created attachment 710465 [details] [diff] [review]
blacklist mesa in esr17
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2013-02-06 12:58:50 PST
Comment on attachment 710465 [details] [diff] [review]
blacklist mesa in esr17

[Approval Request Comment]
If this is not a sec:{high,crit} bug, please state case for ESR consideration:
User impact if declined: see above. just a general protection measure, with bug 827106 as a good example of how it can be useful. just the continuation of what we've been doing on ESR10.
Fix Landed on Version: N/A
Risk to taking this patch (and alternatives if risky): we'll then have to do nontrivial backports to ESR17 for the next year as more Mesa bugs are found. See bug 827106 for instance.
String or UUID changes made by this patch: none
Comment 3 Jeff Gilbert [:jgilbert] 2013-02-06 19:35:36 PST
To be clear, the risks listed above are for if we *don't* take this patch. The patch itself is low risk. No risk if we can verify that WebGL is disabled on Mesa drivers but still enabled elsewhere.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2013-02-06 21:36:57 PST
Oh, right, thanks. I should have added that under 'User impact if declined'. This patch is zero risk.
Comment 5 bhavana bajaj [:bajaj] 2013-02-07 16:23:47 PST
Comment on attachment 710465 [details] [diff] [review]
blacklist mesa in esr17

PLease make sure to land before 2/11 .
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2013-02-11 09:08:58 PST
https://hg.mozilla.org/releases/mozilla-esr17/rev/aa5ee636b118
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-02-15 16:00:06 PST
What needs to be tested here for Firefox 17.0.3esr? Is it just a matter of checking for something in about:support::Graphics?
Comment 8 Benoit Jacob [:bjacob] (mostly away) 2013-02-16 15:00:43 PST
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #7)
> What needs to be tested here for Firefox 17.0.3esr? Is it just a matter of
> checking for something in about:support::Graphics?

Yes, that's a reliable way to do it. Ctrl+F WebGL, should say something like "not available" on Linux machines using Mesa drivers (i.e. anything not using proprietary drivers -- any default Ubuntu/Fedora will do).
Comment 9 Paul Silaghi, QA [:pauly] 2013-02-18 04:16:54 PST
Adapter Description: Tungsten Graphics, Inc -- Mesa DRI Intel(R) Ivybridge Desktop x86/MMX/SSE2
Vendor ID: Tungsten Graphics, Inc
Device ID: Mesa DRI Intel(R) Ivybridge Desktop x86/MMX/SSE2
Driver Version: 3.0 Mesa 8.0.4
WebGL Renderer: Blocked for your graphics driver version. Try updating your graphics driver to version Not Mesa or newer.

Verified fixed FF 17.0.3 ESR.
Not blocked in FF 17.0.2 ESR.
Comment 10 Daniel Veditz [:dveditz] 2013-03-28 19:59:17 PDT
Given this is a branch-only bug (change request?) which has landed on that branch I'm going to call this FIXED. We weren't going to land this anywhere else, right?
Comment 11 Tracy Walker [:tracy] 2014-01-10 10:40:33 PST
mass remove verifyme requests greater than 4 months old

Note You need to log in before you can comment on or make changes to this bug.